use utf8;

{
key => {
	'[' => "slow down 10%",
	']' => "speed up 10%",
	'{' => "half speed",
	'}' => "double speed",
	'<' => "previous file",
	'>' => "next file",
	'p' => "pause",
	'.' => "step forward",
	'q' => "stop and quit",
	'+' => "audio delay +<>.1s",
	'-' => "audio delay -<>.1s",
	'/' => "volume decrease",
	'*' => "volume increase",
	'm' => "mute sound",
	'#' => "cycle audio tr<>ack<>s",
	'f' => "full<>screen",
	'T' => "stay on top",
	'w' => "pan/sc. decr<>eas<>e",
	'e' => "pan/scan increase",
	'o' => "osd state switch",
	'd' => "frame drop mode",
	'v' => "subtitle visibility",
	'b' => "next sub<>title",
	'j' => "prev<>ious sub<>title",
	'g' => "back in sub<>title<>s list",
	'y' => "forward in sub<>title<>s list",
	'F' => "forced subtitles",
	'a' => "align subtitles",
	'c' => "cycle fs mode",
	'n' => "restore video mode",
	'x' => "subtitle delay +<>.1<>s",
	'z' => "subtitle delay -<>.1<>s",
	'r' => "subtitles up",
	't' => "subtitles down",
	's' => "screen<>shot\n-vf screenshot",
	'S' => "record screen<>shot<>s\n-vf screenshot",
	'I' => "filename",
	'!' => "chapter back",
	'@' => "chapter forward",
	'1' => "contrast less",
	'2' => "contrast more",
	'3' => "brighter",
	'4' => "darker",
	'5' => "hue to red",
	'6' => "hue to blue",
	'7' => "saturate",
	'8' => "de<>saturate",
},

mode => {
	'' => "interactive control",
},

flag => {
	g1 => [osd       => "Print information or change display."],
	g2 => [subtitles => "Alter subtitle selection and settings."],
	g4 => [video     => "Video output adjustment."],
	g6 => [audio     => "Sound (track) configuration."],
	g7 => [playback  => "Playback control."],
	g9 => [general   => "Other MPlayer features."],

	arg => ["key<arg>" => "Commands with a dot need an argument afterwards."],
	ext => ["optional" => "Some features depend on setup and/or parameters."],
},

def => do 'mplayer.inc.pl',
}
