use utf8;

{
key => {
	"\e"=> "alt<>/meta",

	'b' => "page up",
	'd' => 'scroll down',
	'f' => "page down",
	'F' => "follow\nForward Forever",
	'g' => "(first) line",
	'G' => "last line",
	'h' => "help",
	'j' => "<down>",
	'k' => "<up>",
	'm' => "mark pos<>ition",
	'n' => "next find",
	'N' => "prev find",
	'p' => "reset position\nbeginning or Percentage",
	'q' => "quit",
	'r' => "redraw",
	'R' => "refresh",
	's' => "save to file",
	't' => "next tag",
	'T' => "prev tag",
	'u' => 'scroll up',
	'v' => "edit",
	'V' => "version",
	'w' => "page up and set window",
	'^x'=> "emacs aliases",
	'z' => "set page down",

	'!' => "shell command",
	'|' => "pipe till mark",
	':' => "com<>mand",
	'/' => "find",
	'?' => "find rev.",
	'&' => "filter match<>es",
	"'" => "goto mark",
	'-' => "toggle option",
	'_' => "show option",
	'=' => "file name",
	'+' => "initial cmd",

	'(' => "closing",

	"^[\e"=> "noop",
	'^[n' => "any next find",
	'^[N' => "any prev find",
	'^[u' => "mark search\nUndo",
	'^[(' => "scroll left",
	'^[)' => "scroll right",

	":\e"=> "noop",
	':d' => "drop file",
	':e' => "open file",
	':n' => "next file",
	':p' => "prev file",
	':x' => "first file",

	"-\e"=> "noop",
	'-a' => "advance find page",
	'-b' => "buffer space",
	'-B' => "static buffer for pipes",
	'-c' => "clear on scroll",
	'-d' => "dumb term<>inal",
	'-D' => "dos colours",
	'-e' => "exit after eof",
	'-E' => "exit at eof",
	'-f' => "force open",
	'-F' => "exit if 1 page",
	'-g' => "hilight last match",
	'-h' => "scroll back limit",
	'-i' => "ignore lower<>c<>ase",
	'-I' => "ignore case",
	'-j' => "top offset",
	'-J' => "status column",
	'-k' => "key bind<>ing<>s",
	'-L' => qq[ignore <span style="font-variant:small-caps">lesso<>pen</span> filter],
	'-m' => "med. promp<>t tog<>gle",
	'-M' => "long promp<>t tog<>gle",
	'-n' => "count line num<>ber<>s",
	'-N' => "show line n<>um<>ber<>s",
	'-o' => "stdin to log",
	'-O' => "log over<>wr<>ite",
	'-p' => "initial search",
	'-P' => "status line\nPrompt",
	'-q' => "no info bell\nQuiet",
	'-Q' => "no warn bell\nQuiet!",
	'-r' => "raw chars",
	'-R' => "ansi chars",
	'-s' => "squeeze blank lines",
	'-S' => "no line wrap",
	'-t' => "find tag",
	'-T' => "tags file",
	'-u' => 'parse \b \r',
	'-U' => 'escape \t \b \r',
	'-w' => "hilight page d<>own",
	'-W' => "hilight forw<>ard",
	'-x' => "tab stops",
	'-X' => "no termcap init",
	'-y' => "scroll limit fw<>d",
	'-z' => "page size",
	'-"' => "shell quotes",
	'-~' => "outside tildes toggle",
	'-#' => "col shift",
	'--' => "option name",
	'-+' => "reset option",
},

mode => {
	''   => 'normal pager',
	'^[' => 'escape keys (hold meta/alt)',
	'-'  => 'flag identifiers',
	':'  => 'colon commands',
},

flag => {
	g1 => [info   => 'Temporary message display (or related option).'],
	g2 => [move   => 'Regular file position panning (or option).'],
	g3 => [jump   => 'Other file position manipulation (").'],
	g4 => [search => 'Go to matching content (").'],
	g7 => [file   => 'Alter open file buffer (").'],
	g8 => [misc   => 'Other commands and options.'],

	arg  => ["key<arg>" => "Commands with a dot need a char argument afterwards."],
	more => [more => "A small subset is compatible with `more`."],
},

def => do 'less.inc.pl',
}
