use utf8;

{
key => {
	'a' => "literal a",
	'A' => "title", # title
	'^a'=> "last",
	'b' => "send break", # break
	'B' => "reopen break", # pow_break
	'c' => "new", # screen
	'C' => "clear", # clear
	'd' => "detach", # detach
	'D' => "detach logout", # pow_detach
	'f' => "flow", # flow
	'F' => "fit",
	'^g'=> "vbell", # vbell
	'h' => "hardcopy", # hardcopy
	'H' => "log", # log
	'i' => "prop<>erties", # info
	'I' => "login on", #XXX
	'^i'=> "focus", # focus
	'k' => "kill", # kill
	'l' => "redraw", # redisplay
	'L' => "login", # login
	'm' => "last msg", # lastmsg
	'M' => "moni<>tor", # monitor
	'n' => "next", # next
	'N' => "number", # number
	'O' => "login off", #XXX
	'^o'=> "other", # other
	'p' => "previous", # prev
	'q' => "xon", # xon
	'Q' => "only", # only
	'r' => "wrap", # wrap
	's' => 'xoff', # xoff
	't' => "time", # time
	'v' => "version",
	'^v'=> "digraph", # digraph
	'w' => "windows", # windows
	'W' => "width", # width
	'x' => "lock screen", # lockscreen
	'X' => "remove", # remove
	'z' => "suspend", # suspend
	'Z' => "reset",

	"'" => "select", # select
	'"' => "window<>list -b", # windowlist -b
	':' => "colon", # colon
	"\e"=> "copy", # copy
	'^]'=> "paste .", # paste .
	'|' => "split vert", # split -v
	'{' => "history", # history
	'}' => "history", # history
	'=' => "remove buf", # removebuf
	'*' => "displays", # displays
	'.' => "dump<>termcap", # dumptermcap
	',' => "license", # license
	'-' => "select -", # select -
	'_' => "silence", # silence
	'>' => "writebuf", # writebuf
	'<' => "readbuf", # readbuf
},

mode => {
	'' => 'index',
},

flag => {
	g1 => ["info", "Temporarily hover information in bottom task bar."],
	g2 => ["display", "Change screen display options."],
	g3 => ["select", "Switch between existing windows."],
	g4 => ["config", "Toggle configuration flags to change behaviour of the current window."],
	g5 => ["window", "Operate on or in current window with lasting results."],
	g6 => ["buffer", "..."],
	g7 => ["contents", "Insert or read character contents on a screen."],
	g9 => ["screen", "Manipulate global and inter-screen commands."],

	arg => ["key<arg>" => "Commands with a dot need a char argument afterwards."],
},

def => do 'screen.inc.pl',
}
